This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 849398 - Ovirt SDK - Can't add correlation id to HostTags
Ovirt SDK - Can't add correlation id to HostTags
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-restapi (Show other bugs)
3.1.0
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Michael Pasternak
Elena
infra
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-19 02:57 EDT by Elena
Modified: 2016-02-10 14:01 EST (History)
12 users (show)

See Also:
Fixed In Version: si18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-04 15:00:09 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Elena 2012-08-19 02:57:51 EDT
HostTags.add(tag, correlation_id) =>
TypeError: add() got an unexpected keyword argument 'correlation_id'

This action is possible in rest api
Comment 1 Haim 2012-08-19 03:04:00 EDT
please provide RHEVM version (release).
Comment 2 Michael Pasternak 2012-08-19 03:12:18 EDT
(In reply to comment #0)
> HostTags.add(tag, correlation_id) =>
> TypeError: add() got an unexpected keyword argument 'correlation_id'
> 
> This action is possible in rest api

true, as it available on all REST create operation, but this use-case
doesn't make much sense,

Ori, please document 'correlation_id' header on [api/hosts/xxx/tags rel=add]
Comment 3 Elena 2012-08-19 03:15:30 EDT
(In reply to comment #2)

> true, as it available on all REST create operation, but this use-case
> doesn't make much sense,

we are using correlation_id in automated tests for events checking

(In reply to comment #1)
> please provide RHEVM version (release).

rhevm-sdk-3.1.0.5-1.el6ev.noarch
Comment 4 Michael Pasternak 2012-08-27 03:04:45 EDT
are you sure that attaching tag to host produce any event?
Comment 5 Oded Ramraz 2012-08-27 03:12:03 EDT
I performed the same operation from UI:
"Tag host was attached to Host(s) blue-vdsb.qa.lab.tlv.redhat.com by vdcadmin."

(In reply to comment #4)
> are you sure that attaching tag to host produce any event?
Comment 6 Elena 2012-09-02 06:03:04 EDT
rhevm-sdk-3.1.0.7-1.el6ev.noarch.rpm
Still same problem:

TypeError: add() got an unexpected keyword argument 'correlation_id'
Comment 7 Michael Pasternak 2012-09-02 08:57:38 EDT
yep, didn't get to the version, you'll get it in next drop.
Comment 9 Elena 2012-09-16 02:08:14 EDT
Verified in si18

Note You need to log in before you can comment on or make changes to this bug.